summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-01-22 08:05:35 +0100
committerHans de Graaff <graaff@gentoo.org>2021-01-22 08:05:35 +0100
commit811751cfaf36341efd5dc98bd71ab81194fe5223 (patch)
tree47af02c83f6ba5b65ff6d2f6049b44bf638dc854
parentdev-ruby/rubygems: add 3.2.6 (diff)
downloadgentoo-811751cfaf36341efd5dc98bd71ab81194fe5223.tar.gz
gentoo-811751cfaf36341efd5dc98bd71ab81194fe5223.tar.bz2
gentoo-811751cfaf36341efd5dc98bd71ab81194fe5223.zip
dev-ruby/oauth: add 0.5.5
Package-Manager: Portage-3.0.13, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/oauth/Manifest1
-rw-r--r--dev-ruby/oauth/oauth-0.5.5.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/oauth/Manifest b/dev-ruby/oauth/Manifest
index c8aed657606..fcb141fdd3a 100644
--- a/dev-ruby/oauth/Manifest
+++ b/dev-ruby/oauth/Manifest
@@ -1 +1,2 @@
DIST oauth-0.5.4.tar.gz 59141 BLAKE2B 1e588d411795b7c5b4ae5b7b3c9928b69aaa005bef858137759757e9f06d6de144408e4dba33d7fbf82a3f2586238a71b85b89c681f5d633453dfe0da954a2fb SHA512 f114f80255944934a276d0f9556ed37e4a0a72b221269cf7792f2c3a5a1504c5ec726fd5b7437b1102c648a6cf451a1c83de4689f53d30ea8c6a1d62662de535
+DIST oauth-0.5.5.tar.gz 60289 BLAKE2B 28a283bdb251b791ab6e0d50e6ed7db09445177bcaf5a99258c465e3783c5535f7d6acee356ec2f7559a942d1146ae8487260f8945f3138de670c20c60d7068c SHA512 9db8d68950b46b469777e320dea88e14506be846233f7c24e7dcdf9b57e761c43a7b715fa70f32a41b15ac7936a586e8b49a33af971fd0e9509d62827c69571f
diff --git a/dev-ruby/oauth/oauth-0.5.5.ebuild b/dev-ruby/oauth/oauth-0.5.5.ebuild
new file mode 100644
index 00000000000..016e9a7ac23
--- /dev/null
+++ b/dev-ruby/oauth/oauth-0.5.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="HISTORY README.rdoc TODO"
+
+RUBY_FAKEGEM_GEMSPEC="oauth.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A RubyGem for implementing both OAuth clients and servers"
+HOMEPAGE="https://github.com/oauth-xx/oauth-ruby"
+SRC_URI="https://github.com/oauth-xx/oauth-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-ruby-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/test-unit:2
+ dev-ruby/mocha:1.0
+ dev-ruby/webmock
+ dev-ruby/rack
+ dev-ruby/actionpack:6.0
+ dev-ruby/railties:6.0
+)"
+
+all_ruby_prepare() {
+ # Require a compatible version of mocha
+ sed -i -e '1igem "mocha", "~> 1.0"; gem "railties", "~>6.0.0" ; gem "actionpack", "~>6.0.0"' \
+ -e '2i gem "test-unit"; require "test/unit"' \
+ -e '/mocha/ s/mini_test/minitest/' \
+ -e '/\(byebug\|minitest_helpers\|simplecov\)/I s:^:#:' test/test_helper.rb || die
+}